public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Conrad Kostecki" <conikost@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lua/luarocks/
Date: Sun, 17 Apr 2022 14:01:14 +0000 (UTC)	[thread overview]
Message-ID: <1650203983.22267776438ac1ea1295297b525905b481461c80.conikost@gentoo> (raw)

commit:     22267776438ac1ea1295297b525905b481461c80
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 17 13:59:21 2022 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sun Apr 17 13:59:43 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=22267776

dev-lua/luarocks: add 3.9.0

Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 dev-lua/luarocks/Manifest              |  1 +
 dev-lua/luarocks/luarocks-3.9.0.ebuild | 86 ++++++++++++++++++++++++++++++++++
 2 files changed, 87 insertions(+)

diff --git a/dev-lua/luarocks/Manifest b/dev-lua/luarocks/Manifest
index c1a90fbd7b9b..c2519d211a2e 100644
--- a/dev-lua/luarocks/Manifest
+++ b/dev-lua/luarocks/Manifest
@@ -1 +1,2 @@
 DIST luarocks-3.8.0.tar.gz 249787 BLAKE2B 2bfff5af400abfdf17a0eacd1f29838dd77751f2ba085d6c6fc18dfc971ea796523781ff2488566d42c01d005bd5037171bf1aabbfdd664746c55674e3ca32c7 SHA512 6c30884c60da57706228a9870f510a1bce435b2d5d67c63c5f2958b152c7a2b334bd74a016995871e3b05b98374f4c4e008993ede81f9fc564980e183bdf06b2
+DIST luarocks-3.9.0.tar.gz 252777 BLAKE2B fba01692057ea5f4a926db4b31d4a299238079af1dfd15078cbff6d3d17d1b87f9f30db8477b1b706ec4602fe9ef82533ad3cc58f8059fe84490b464da0b3c15 SHA512 ccdee2ff14f52428923d5148f3d86d2ad40f84685988a12419c191c73a4df6cfacb0defbea40556493645619fdbef807e198fbae85be69c4075b5212353c1f2d

diff --git a/dev-lua/luarocks/luarocks-3.9.0.ebuild b/dev-lua/luarocks/luarocks-3.9.0.ebuild
new file mode 100644
index 000000000000..7928ca87e717
--- /dev/null
+++ b/dev-lua/luarocks/luarocks-3.9.0.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-{1..4} luajit )
+
+inherit lua-single
+
+DESCRIPTION="A package manager for the Lua programming language"
+HOMEPAGE="https://luarocks.org"
+SRC_URI="https://luarocks.org/releases/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test"
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+RESTRICT="test"
+
+RDEPEND="${LUA_DEPS}"
+
+DEPEND="
+	net-misc/curl
+	dev-libs/openssl:0
+	${RDEPEND}
+"
+
+BDEPEND="
+	virtual/pkgconfig
+	test? (
+		$(lua_gen_cond_dep 'dev-lua/busted[${LUA_USEDEP}]')
+		$(lua_gen_cond_dep 'dev-lua/busted-htest[${LUA_USEDEP}]')
+		${RDEPEND}
+	)
+"
+
+src_prepare() {
+	default
+
+	# If 'dev-lang/lua' is a new, fresh installation, no 'LUA_LIBDIR' exists,
+	# as no compiled modules are installed on a new, fresh installation,
+	# so this check must be disabled, otherwise 'configure' will fail.
+	sed -e '/LUA_LIBDIR is not a valid directory/d' -i configure || die
+}
+
+src_configure() {
+	local myeconfargs=(
+		"--prefix=${EPREFIX}/usr"
+		"--rocks-tree=$(lua_get_lmod_dir)"
+		"--with-lua-include=$(lua_get_include_dir)"
+		"--with-lua-interpreter=${ELUA}"
+		"--with-lua-lib=$(lua_get_cmod_dir)"
+	)
+
+	# Since the configure script is handcrafted,
+	# and yells at unknown options, do not use 'econf'.
+	./configure "${myeconfargs[@]}" || die
+}
+
+src_test() {
+	busted --lua=${ELUA} || die
+}
+
+src_install() {
+	default
+
+	{ find "${D}" -type f -exec sed -i -e "s:${D}::g" {} \;; } || die
+}
+
+pkg_postinst() {
+	local lua_abi_ver
+	if use lua_single_target_luajit; then
+		lua_abi_ver="5.1"
+	else
+		lua_abi_ver=${ELUA#lua}
+	fi
+	elog
+	elog "To manage rocks for a Lua version other than the current ${CATEGORY}/${PN} default (${lua_abi_ver})"
+	elog "you can use the command-line option --lua-version, e.g."
+	elog
+	elog "    luarocks --lua-version 5.3 install luasocket"
+	elog
+	elog "(use 5.1 for luajit). Note that the relevant Lua version must already be present in the system."
+	elog
+}


             reply	other threads:[~2022-04-17 14:01 UTC|newest]

Thread overview: 68+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-04-17 14:01 Conrad Kostecki [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-22 20:01 [gentoo-commits] repo/gentoo:master commit in: dev-lua/luarocks/ Conrad Kostecki
2024-06-17 22:31 Conrad Kostecki
2024-06-17 22:31 Conrad Kostecki
2024-04-19 11:19 Arthur Zamarin
2024-04-17 23:35 Sam James
2024-04-17 22:10 Sam James
2024-04-17 22:02 Sam James
2024-03-15 23:59 Conrad Kostecki
2024-03-09 13:57 Conrad Kostecki
2023-02-21 17:55 Conrad Kostecki
2023-02-21  6:51 Sam James
2023-02-21  5:14 Sam James
2023-02-21  5:14 Sam James
2023-02-21  5:14 Sam James
2022-12-10 13:27 Conrad Kostecki
2022-08-05  7:52 Conrad Kostecki
2022-08-04  8:03 Agostino Sarubbo
2022-08-04  0:13 Sam James
2022-08-04  0:13 Sam James
2022-08-03 20:37 Arthur Zamarin
2022-07-02 14:58 Conrad Kostecki
2022-05-20 15:34 Conrad Kostecki
2022-05-19  7:49 Agostino Sarubbo
2022-05-19  7:47 Agostino Sarubbo
2022-05-19  1:20 Sam James
2022-05-19  1:20 Sam James
2021-12-24 15:59 Conrad Kostecki
2021-12-24 15:52 Arthur Zamarin
2021-12-24  4:55 Sam James
2021-12-23 10:33 Jakov Smolić
2021-12-23 10:33 Jakov Smolić
2021-11-22 21:24 Conrad Kostecki
2021-06-03 21:47 Conrad Kostecki
2021-06-03 19:58 Sam James
2021-06-03 16:26 Sam James
2021-06-02  1:13 Sam James
2021-05-25 16:21 Georgy Yakovlev
2021-04-30 17:42 Mikle Kolyada
2021-04-22 19:31 Sergei Trofimovich
2021-04-20 21:20 Sergei Trofimovich
2021-04-14 20:08 Conrad Kostecki
2021-04-14 20:08 Conrad Kostecki
2021-04-01 16:22 Conrad Kostecki
2021-03-16 17:37 Conrad Kostecki
2021-01-27 19:48 Conrad Kostecki
2021-01-23 22:51 Sam James
2021-01-09 14:29 Conrad Kostecki
2021-01-09 14:29 Conrad Kostecki
2020-12-03 13:50 Marek Szuba
2020-12-01 12:16 Conrad Kostecki
2020-11-30 10:06 Conrad Kostecki
2020-11-30  1:08 Marek Szuba
2020-11-30  1:08 Marek Szuba
2020-11-30  1:08 Marek Szuba
2020-11-30  1:08 Marek Szuba
2020-11-30  0:18 Conrad Kostecki
2020-09-13  9:16 Sam James
2020-09-13  7:04 Sam James
2020-09-08 15:56 Thomas Deutschmann
2020-03-15 22:30 Georgy Yakovlev
2020-03-15 22:28 Georgy Yakovlev
2020-03-15 22:28 Georgy Yakovlev
2020-03-15 22:28 Georgy Yakovlev
2020-01-09 18:41 Rafael Martins
2019-11-24  2:49 Aaron Bauman
2016-12-20 13:40 Tobias Klausmann
2016-08-06 10:51 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1650203983.22267776438ac1ea1295297b525905b481461c80.conikost@gentoo \
    --to=conikost@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox